declare
  dup_val_on_index  exception;
  except_02291  exception;

  pragma exception_init (dup_val_on_index  , -00001);
  pragma exception_init (except_02291  , -02291);
begin
    execute immediate 'INSERT INTO TIPO_EVENTO_EXTRA (TIPOEVENTOEXTRA_ID,INDTIPO,IMPMAX,INDVALIDADOCUMENTO,INDBOLETO,PORCIVA,USUARIO_ID,FECMODIF,ACTIVO,INDOPERACION,DESCTIPOEVENTO,
CVETIPOEVENTO,INDQUANTVIASIMPRIMIR) VALUES (TIPO_EVENTO_EXTRA_SEQ.NEXTVAL,''1'',9999999,0,0,0,1,SYSDATE,1,1,''ESTAMPILLA'',''ESTAMPILLA'',1)';
  exception 
    when dup_val_on_index  then null;
    when except_02291  then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
    execute immediate 'CREATE TABLE CONFIGURACION_PRODUCTO (
						CONFIGURACIONPRODUCTO_ID NUMBER(7,0) NOT NULL,
						TIPOEVENTOEXTRA_ID NUMBER(7,0) NOT NULL,
						PRECIO NUMBER(12,2) NOT NULL,
						FECVIGENCIAINICIAL DATE NOT NULL,
						FECVIGENCIAFINAL DATE NOT NULL,
						USUARIO_ID NUMBER(7,0) NOT NULL,
						FECMODIF DATE NOT NULL,
						ACTIVO NUMBER(1,0) NOT NULL,
						CONSTRAINT CONFIGURACION_PRODUCTO_PK PRIMARY KEY (CONFIGURACIONPRODUCTO_ID)
					)';
  exception when object_exists then null;
end;
/
declare
  object_exists  exception;
  except_02275  exception;
  except_02270  exception;
  except_02261  exception;

  pragma exception_init (object_exists  , -01430);
  pragma exception_init (except_02275  , -02275);
  pragma exception_init (except_02270  , -02270);
  pragma exception_init (except_02261  , -02261);
begin
    execute immediate 'ALTER TABLE CONFIGURACION_PRODUCTO ADD CONSTRAINT CONF_PROD_TIPO_EVENT_EXT_FK FOREIGN KEY (TIPOEVENTOEXTRA_ID) REFERENCES TIPO_EVENTO_EXTRA(TIPOEVENTOEXTRA_ID)';
  exception 
    when object_exists  then null;
    when except_02275  then null;
    when except_02270  then null;
    when except_02261  then null;
end;
/
declare
  object_exists  exception;
  except_02275  exception;
  except_02270  exception;
  except_02261  exception;

  pragma exception_init (object_exists  , -01430);
  pragma exception_init (except_02275  , -02275);
  pragma exception_init (except_02270  , -02270);
  pragma exception_init (except_02261  , -02261);
begin
    execute immediate 'ALTER TABLE CONFIGURACION_PRODUCTO ADD CONSTRAINT CONF_PRODUCTO_USUARIO_FK FOREIGN KEY (USUARIO_ID) REFERENCES USUARIO(USUARIO_ID)';
  exception 
    when object_exists  then null;
    when except_02275  then null;
    when except_02270  then null;
    when except_02261  then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
    execute immediate 'CREATE SEQUENCE CONFIGURACION_PRODUCTO_SEQ INCREMENT BY 1 MINVALUE 0 NOCYCLE NOCACHE NOORDER'; 
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
    execute immediate 'CREATE TABLE CONFIGURACION_PRODUCTO_PARADA (
						CONF_PRODUCTO_PARADA_ID NUMBER(7,0) NOT NULL,
						CONFIGURACIONPRODUCTO_ID NUMBER(7,0) NOT NULL,
						PARADA_ID NUMBER(7,0) NOT NULL,
						USUARIO_ID NUMBER(7,0) NOT NULL,
						FECMODIF DATE NOT NULL,
						ACTIVO NUMBER(1,0) NOT NULL,
						CONSTRAINT CONF_PRODUCTO_PARADA_PK PRIMARY KEY (CONF_PRODUCTO_PARADA_ID)
					)';
  exception when object_exists then null;
end;
/
declare
  object_exists  exception;
  except_02275  exception;
  except_02270  exception;
  except_02261  exception;

  pragma exception_init (object_exists  , -01430);
  pragma exception_init (except_02275  , -02275);
  pragma exception_init (except_02270  , -02270);
  pragma exception_init (except_02261  , -02261);
begin
    execute immediate 'ALTER TABLE CONFIGURACION_PRODUCTO_PARADA ADD CONSTRAINT CONF_PROD_PAR_CONF_PROD_FK FOREIGN KEY (CONFIGURACIONPRODUCTO_ID) REFERENCES CONFIGURACION_PRODUCTO(CONFIGURACIONPRODUCTO_ID)';
  exception 
    when object_exists  then null;
    when except_02275  then null;
    when except_02270  then null;
    when except_02261  then null;
end;
/
declare
  object_exists  exception;
  except_02275  exception;
  except_02270  exception;
  except_02261  exception;

  pragma exception_init (object_exists  , -01430);
  pragma exception_init (except_02275  , -02275);
  pragma exception_init (except_02270  , -02270);
  pragma exception_init (except_02261  , -02261);
begin
    execute immediate 'ALTER TABLE CONFIGURACION_PRODUCTO_PARADA ADD CONSTRAINT CONF_PROD_PARADA_PARADA_FK FOREIGN KEY (PARADA_ID) REFERENCES PARADA(PARADA_ID)';
  exception 
    when object_exists  then null;
    when except_02275  then null;
    when except_02270  then null;
    when except_02261  then null;
end;
/
declare
  object_exists  exception;
  except_02275  exception;
  except_02270  exception;
  except_02261  exception;

  pragma exception_init (object_exists  , -01430);
  pragma exception_init (except_02275  , -02275);
  pragma exception_init (except_02270  , -02270);
  pragma exception_init (except_02261  , -02261);
begin
    execute immediate 'ALTER TABLE CONFIGURACION_PRODUCTO_PARADA ADD CONSTRAINT CONF_PROD_PARADA_USUARIO_FK FOREIGN KEY (USUARIO_ID) REFERENCES USUARIO(USUARIO_ID)';
  exception 
    when object_exists  then null;
    when except_02275  then null;
    when except_02270  then null;
    when except_02261  then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
    execute immediate 'CREATE SEQUENCE CONFIG_PRODUCTO_PARADA_SEQ INCREMENT BY 1 MINVALUE 0 NOCYCLE NOCACHE NOORDER'; 
  exception when object_exists then null;
end;
/